#---------------------------------------------------------------------------
#  @(#) $Name: arts++-1-1-a12 $
#  @(#) $Id: Makefile,v 1.1.1.1 2002/11/16 00:46:37 rkoga Exp $
#---------------------------------------------------------------------------

APPLIST = artsportagg artsports artsprotos artsnets artsdump artsases artstoc \
	  artsagg artsprotoagg artsnetagg artsasagg artsportms artsportmagg \
	  artsintfms artsintfmagg artsnexthops artsnexthopagg artstos

all:
	for app in ${APPLIST}; do \
	  cd $$app ; ${MAKE} ; cd .. ; \
	done

strip::
	for app in ${APPLIST}; do \
	  cd $$app ; ${MAKE} strip ; cd .. ; \
	done

install::
	for app in ${APPLIST}; do \
	  cd $$app ; ${MAKE} install ; cd .. ; \
	done

tarball::
	for app in ${APPLIST}; do \
	  cd $$app ; ${MAKE} tarball ; cd .. ; \
	done

clean::
	for app in ${APPLIST}; do \
	  cd $$app ; ${MAKE} clean ; cd .. ; \
	done

